Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.zip
Class ZipLong

    java.lang.Object
      |
      +--org.apache.tools.zip.ZipLong

All Implemented Interfaces:
  java.lang.Cloneable

public final class ZipLong
extends java.lang.Object
implements java.lang.Cloneable

Utility class that represents a four byte integer with conversion rules for the big endian byte order of ZIP files.

Constructor Summary
`ZipLong(byte[] bytes)` Create instance from bytes.
`ZipLong(byte[] bytes, int offset)` Create instance from the four bytes starting at offset.
`ZipLong(long value)` Create instance from a number.

Method Summary
`boolean` | `equals(java.lang.Object o)` Override to make two instances with same value equal.
`byte[]` | `getBytes()` Get value as two bytes in big endian byte order.
`long` | `getValue()` Get value as Java int.
`int` | `hashCode()` Override to make two instances with same value equal.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZipLong

    public ZipLong(long value)

  Create instance from a number.

Since:
  1.1

### ZipLong

    public ZipLong(byte[] bytes)

  Create instance from bytes.

Since:
  1.1

### ZipLong

    public ZipLong(byte[] bytes,
                   int offset)

  Create instance from the four bytes starting at offset.

Since:
  1.1

Method Detail

### getBytes

    public byte[] getBytes()

  Get value as two bytes in big endian byte order.

  Since:
    1.1

### getValue

    public long getValue()

  Get value as Java int.

  Since:
    1.1

### equals

    public boolean equals(java.lang.Object o)

  Override to make two instances with same value equal.

  Overrides:
    `equals` in class `java.lang.Object`
  Since:
    1.1

### hashCode

    public int hashCode()

  Override to make two instances with same value equal.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Since:
    1.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.